cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
824
Views
0
Helpful
2
Replies
k.shandil
Beginner

Nexus 1000V Upgrade Confusion

Hello Everyone,


Th Lady Luck got angry with me and I (Firewall Engineer) has been assigned to Upgrade a Critical Cisco Nexus 1000V Cluster with latest 4.2(1)SV1(4)


Here are my Setup Details:-


Current VSM:-


Software
  loader:    version 1.2(2) [last: image booted through mgmt0]
  kickstart: version 4.0(4)SV1(2)
  system:    version 4.0(4)SV1(2)


Current VEM:-

Mod  Sw               Hw
---  ---------------  ------
1    4.0(4)SV1(2)     0.0
2    4.0(4)SV1(2)     0.0
3    4.0(4)SV1(2)     1.20
4    4.0(4)SV1(2)     1.20
5    4.0(4)SV1(2)     1.20
6    4.0(4)SV1(2)     0.4
7    4.0(4)SV1(2)     0.4
8    4.0(4)SV1(2)     1.20
9    4.0(4)SV1(2)     1.20
10   4.0(4)SV1(2)     1.20
11   4.0(4)SV1(2)     1.20
12   4.0(4)SV1(2)     1.20
13   4.0(4)SV1(2)     0.4
14   4.0(4)SV1(2)     1.20
15   4.0(4)SV1(2)     1.20
16   4.0(4)SV1(2)     1.20

Planned:-

VSM:-4.2(1)SV1(4)

VEM:- 4.2(1)SV1(4)

After Reviewing the Cisco Docs I figured out that the Upgrade Path will me like this :-

1) Upgrade the VSM from     4.0(4)SV1(2)   to  4.0(4)SV1(3b)

2)Upgrae the All VEM from   4.0(4)SV1(2)   to  4.2(1)SV1(4)

3) Upgrade the VSM from     4.0(4)SV1(3b)   to  4.0(4)SV1(4)

For the Step 2 after Refering the Cisco Doc:-

https://www.cisco.com/en/US/docs/switches/datacenter/nexus1000/sw/4_2_1_s_v_1_4/upgrade/software/guide/n1000v_upgrade_software.html#wp185017

My Server Team told me that VUM is not "working" in our infrastatucture , so we have to upgrade the VEM Manually , but the Cisco Doc shows the Upgrade  Method only for Release 4.0(4)SV1(3, 3a, or 3b) to Release 4.2(1)SV1(4) , here mine current version is missing i.e. 4.0(4)SV1(2) 

wer.jpg

Is it OK if I following the Upgrading the VEMs Manually: Release 4.0(4)SV1(3, 3a, or 3b) to Release 4.2(1)SV1(4) Procedure  ???

Also I am confused abt Updating the VEM on the ESX host which are carrying the VSM - most scary ones

also Wht all else things should I make note before the acutal activity , Kindly guide me through...pls

regards

T

2 REPLIES 2
sachthak
Beginner

Hi there,

It looks like a typo in the documentation. I'm following up to confirm this is the case. I'll have an update for you by EOD today.

Thanks,

Sachin

Hello,

It looks like this was missed in the documentation. The link in the screenshot you attached should read:

Upgrading the VEMs Manually: Release 4.0(4)SV1(2, 3, 3a, or 3b) to Release 4.2(1)SV1(4)

I have verified this with one of the VEM upgrade folks locally and am following up with the docs team to get it corrected.

Cheers,

Sachin

Content for Community-Ad